# Supported OS types
 * Vendor
   * OS model
 * A10 Networks
   * [ACOS](/lib/oxidized/model/acos.rb)
 * Accedian Performance Elements (NIDs)
   * [AEN](/lib/oxidized/model/aen.rb)
 * Alcatel-Lucent
   * [AOS](/lib/oxidized/model/aos.rb)
   * [AOS7](/lib/oxidized/model/aos7.rb)
   * [ISAM](/lib/oxidized/model/isam.rb)
   * [SR OS (Formerly TiMOS)](/lib/oxidized/model/timos.rb)
   * Wireless
 * Alvarion
   * [BreezeACCESS](/lib/oxidized/model/alvarion.rb)
 * APC
   * [AOS](/lib/oxidized/model/apc_aos.rb)
 * Arista
   * [EOS](/lib/oxidized/model/eos.rb)
 * Arris
   * [C4CMTS](/lib/oxidized/model/c4cmts.rb)
 * Aruba
   * [AOSW](/lib/oxidized/model/aosw.rb)
 * AudioCodes
   * [AudioCodes](/lib/oxdized/model/audiocodes.rb)
 * Avaya
   * [VOSS (VSP Operating System Software)](/lib/oxidized/model/voss.rb)
   * [BOSS (Baystack Operating System Software)](/lib/oxidized/model/boss.rb)
 * Brocade
   * [FabricOS](/lib/oxidized/model/fabricos.rb)
   * [Ironware](/lib/oxidized/model/ironware.rb)
   * [NOS (Network Operating System)](/lib/oxidized/model/nos.rb)
   * [Vyatta](/lib/oxidized/model/vyatta.rb)
   * [6910](/lib/oxidized/model/br6910.rb)
 * Casa
   * [Casa](/lib/oxidized/model/casa.rb)
 * Check Point
   * [GaiaOS](/lib/oxidized/model/gaiaos.rb)
 * Ciena
   * [SAOS](/lib/oxidized/model/saos.rb)
 * Cisco
   * [ACSW](/lib/oxidized/model/acsw.rb)
   * [AireOS](/lib/oxidized/model/aireos.rb)
   * [ASA](/lib/oxidized/model/asa.rb)
   * [AsyncOS](/lib/oxidized/model/asyncos.rb)
   * [CatOS](/lib/oxidized/model/catos.rb)
   * [IOS](/lib/oxidized/model/ios.rb)
   * [IOSXR](/lib/oxidized/model/iosxr.rb)
   * [NGA](/lib/oxidized/model/cisconga.rb)
   * [NXOS](/lib/oxidized/model/nxos.rb)
   * [SMA](/lib/oxidized/model/ciscosma.rb)
   * [SMB (Nikola series)](/lib/oxidized/model/ciscosmb.rb)
   * [UCS](/lib/oxidized/model/ucs.rb)
 * Citrix
   * [NetScaler (Virtual Applicance)](/lib/oxidized/model/netscaler.rb)
 * Coriant (former Tellabs)
   * [TMOS (8800)](/lib/oxidized/model/corianttmos.rb)
   * [8600](/lib/oxidized/model/coriant8600.rb)
   * [Groove](/lib/oxidized/model/coriantgroove.rb)
 * Cumulus
   * [Linux](/lib/oxidized/model/cumulus.rb)
 * DataCom
   * [DmSwitch 3000](/lib/oxidized/model/datacom.rb)
 * DCN
   * [DCN](/lib/oxidized/model/ios.rb) - Map this to ios.
 * DELL
   * [PowerConnect](/lib/oxidized/model/powerconnect.rb)
   * [AOSW](/lib/oxidized/model/aosw.rb)
 * D-Link
   * [D-Link](/lib/oxidized/model/dlink.rb)
 * Ericsson/Redback
   * [IPOS (former SEOS)](/lib/oxidized/model/ipos.rb)
 * Extreme Networks
   * [Enterasys](/lib/oxidized/model/enterasys.rb)
   * [WM](/lib/oxidized/model/mtrlrfs.rb)
   * [XOS](/lib/oxidized/model/xos.rb)
 * F5
   * [TMOS](/lib/oxidized/model/tmos.rb)
 * Force10
   * [DNOS](/lib/oxidized/model/dnos.rb)
   * [FTOS](/lib/oxidized/model/ftos.rb)
 * FortiGate
   * [FortiOS](/lib/oxidized/model/fortios.rb)
 * Fujitsu
   * [PRIMERGY Blade switch 1/10Gbe](/lib/oxidized/model/fujitsupy.rb)
 * Hatteras
   * [Hatteras](/lib/oxidized/model/hatteras.rb)
 * Hirschmann
   * [HiOS](/lib/oxidized/model/hirschmann.rb)
 * HP
   * [Comware (HP A-series, H3C, 3Com)](/lib/oxidized/model/comware.rb)
   * [Procurve](/lib/oxidized/model/procurve.rb)
   * [BladeSystem (Onboard Administrator)](/lib/oxidized/model/hpebladesystem.rb)
   * [MSA](/lib/oxidized/model/hpemsa.rb)
 * Huawei
   * [VRP](/lib/oxidized/model/vrp.rb)
 * Juniper
   * [JunOS](/lib/oxidized/model/junos.rb)
   * [ScreenOS (Netscreen)](/lib/oxidized/model/screenos.rb)
 * Mellanox
   * [MLNX-OS](/lib/oxidized/model/mlnxos.rb)
   * [Voltaire](/lib/oxidized/model/voltaire.rb)
 * Mikrotik
   * [RouterOS](/lib/oxidized/model/routeros.rb)
 * Motorola
   * [RFS](/lib/oxidized/model/mtrlrfs.rb)
 * MRV
   * [MasterOS](/lib/oxidized/model/masteros.rb)
   * [FiberDriver](/lib/oxidized/model/fiberdriver.rb)
 * Netgear
   * [Netgear](/lib/oxidized/model/netgear.rb)
 * Netonix
   * [WISP Switch (As Netonix)](/lib/oxidized/model/netonix.rb)
 * Nokia (formerly TiMetra, Alcatel, Alcatel-Lucent)
   * [SR OS (TiMOS)](/lib/oxidized/model/timos.rb)
 * OneAccess
   * [OneOS](/lib/oxidized/model/oneos.rb)
 * Opengear
   * [Opengear](/lib/oxidized/model/opengear.rb)
 * Palo Alto
   * [PANOS](/lib/oxidized/model/panos.rb)
 * [PLANET SG/SGS Switches](/lib/oxidized/model/planet.rb)
 * [pfSense](/lib/oxidized/model/pfsense.rb)
 * Radware
   * [AlteonOS](/lib/oxidized/model/alteonos.rb)
 * Quanta
   * [Quanta / VxWorks 6.6 (1.1.0.8)](/lib/oxidized/model/quantaos.rb)
 * Siklu
   * [EtherHaul](/lib/oxidized/model/siklu.rb)
 * Supermicro
   * [Supermicro](/lib/oxidized/model/supermicro.rb)
 * Symantec
   * [Blue Coat ProxySG / Security Gateway OS (SGOS)](/lib/oxidized/model/sgos.rb)
 * Trango Systems
   * [Trango](/lib/oxidized/model/trango.rb)
 * TPLink
   * [TPLink](/lib/oxidized/model/tplink.rb)
 * Ubiquiti
   * [AirOS](/lib/oxidized/model/airos.rb)
   * [Edgeos](/lib/oxidized/model/edgeos.rb)
   * [EdgeSwitch](/lib/oxidized/model/edgeswitch.rb)
 * Watchguard
   * [Fireware OS](/lib/oxidized/model/firewareos.rb)
 * Westell
   * [Westell 8178G, Westell 8266G](/lib/oxidized/model/weos.rb)
 * Zhone
   * [Zhone (OLT and MX)](/lib/oxidized/model/zhoneolt.rb)
 * Zyxel
   * [ZyNOS](/lib/oxidized/model/zynos.rb)
